module CFormationVariables
    ! !@use ConfigurationVariables, only: Configuration
    implicit none    
    public
    
    ! types
    ! Pipe Items in String Array
    type, bind(c), public :: CFormationItem
        real(8) :: Top
        real(8) :: Thickness
        real(8) :: Drillablity
        real(8) :: Abrasiveness
        real(8) :: ThresholdWeight
        real(8) :: PorePressureGradient
    end type CFormationItem

    Type::FormationType
        integer :: Count = 0
        type(CFormationItem), allocatable :: Formations(:)
    End type FormationType
end module CFormationVariables